[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPObjectList.OwnsObjects

Should the list free elements when they are removed.

## Declaration

Source position: contnrs.pp line 66

`public property TFPObjectList.OwnsObjects : Boolean read FFreeObjects write FFreeObjects;`

## Description

OwnsObjects determines whether the objects in the list should be freed when they are removed (not extracted) from the list, or when the list is cleared. If the property is True then they are freed. If the property is False the elements are not freed.

The value is usually set in the constructor, and is seldom changed during the lifetime of the list. It defaults to True.

## See also

TFPObjectList.Create |  | Create a new object list
TFPObjectList.Delete |  | Delete an element from the list.
TFPObjectList.Remove |  | Remove an item from the list.
TFPObjectList.Clear |  | Clear all elements in the list.